# Method: userUsageReport.get

- [HTTP request](https://developers.google.com/workspace/admin/reports/reference/rest/v1/userUsageReport/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/reports/reference/rest/v1/userUsageReport/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/reports/reference/rest/v1/userUsageReport/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reports/reference/rest/v1/userUsageReport/get#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reports/reference/rest/v1/userUsageReport/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reports/reference/rest/v1/userUsageReport/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reports/reference/rest/v1/userUsageReport/get#try-it)

Retrieves a report which is a collection of properties and statistics for a set of users with the account. For more information, see the [User Usage Report guide](https://developers.google.com/admin-sdk/reports/v1/guides/manage-usage-users). For more information about the user report's parameters, see the [Users Usage parameters](https://developers.google.com/admin-sdk/reports/v1/reference/usage-ref-appendix-a/users) reference guides.

### HTTP request

`GET https://admin.googleapis.com/admin/reports/v1/usage/users/{userKey or all}/dates/{date}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey or all` | `string` Represents the profile ID or the user email for which the data should be filtered. Can be `all` for all information, or `userKey` for a user's unique Google Workspace profile ID or their primary email address. Must not be a deleted user. For a deleted user, call `users.list` in Directory API with [`showDeleted=true`](https://developers.google.com/workspace/admin/directory/reference/rest/v1/users/list#body.QUERY_PARAMETERS.show_deleted), then use the returned `ID` as the `userKey`. |
| `date` | `string` Represents the date the usage occurred, based on UTC-8:00 (Pacific Standard Time). The timestamp is in the [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601), `yyyy-mm-dd`. |

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID of the customer to retrieve data for. |
| `filters` | `string` The `filters` query string is a comma-separated list of an application's event parameters where the parameter's value is manipulated by a relational operator. The `filters` query string includes the name of the application whose usage is returned in the report. The application values for the Users Usage Report include `accounts`, `chat`, `docs`, and `gmail`. Filters are in the form `[application name]:[parameter name][relational operator][parameter value],...`. In this example, the `<>` 'not equal to' operator is URL-encoded in the request's query string (%3C%3E): ``` GET https://www.googleapis.com/admin/reports/v1/usage/users/all/dates/2013-03-03 ?parameters=accounts:last_login_time &filters=accounts:last_login_time%3C%3E2010-10-28T10:26:35.000Z ``` <br /> The relational operators include: - `==` - 'equal to'. - `<>` - 'not equal to'. It is URL-encoded (%3C%3E). - `<` - 'less than'. It is URL-encoded (%3C). - `<=` - 'less than or equal to'. It is URL-encoded (%3C=). - `>` - 'greater than'. It is URL-encoded (%3E). - `>=` - 'greater than or equal to'. It is URL-encoded (%3E=). <br /> <br /> |
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` Determines how many activity records are shown on each response page. For example, if the request sets `maxResults=1` and the report has two activities, the report has two pages. The response's `nextPageToken` property has the token to the second page. The `maxResults` query string is optional. |
| `orgUnitID` | `string` ID of the [organizational unit](https://developers.google.com/admin-sdk/directory/v1/guides/manage-org-units) to report on. User activity will be shown only for users who belong to the specified organizational unit. > [!NOTE] > Data before Dec 17, 2018 doesn't appear in the filtered results. <br /> |
| `pageToken` | `string` Token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. In your follow-on request getting the next page of the report, enter the `nextPageToken` value in the `pageToken` query string. |
| `parameters` | `string` The `parameters` query string is a comma-separated list of event parameters that refine a report's results. The parameter is associated with a specific application. The application values for the Customers Usage report include `accounts`, `app_maker`, `apps_scripts`, `calendar`, `chat`, `classroom`, `cros`, `docs`, `gmail`, `gplus`, `device_management`, `meet`, and `sites`. A `parameters` query string is in the CSV form of `app_name1:param_name1, app_name2:param_name2`. > [!NOTE] > **Note:** The API doesn't accept multiple values of a parameter. > If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. > An example of an invalid request parameter is one that does not belong to the application. If no parameters are requested, all parameters are returned. <br /> |
| `groupIdFilter` | `string` Comma separated group ids (obfuscated) on which user activities are filtered, i.e. the response will contain activities for only those users that are a part of at least one of the group ids mentioned here. Format: "id:abc123,id:xyz456" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports#UsageReports`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.reports.usage.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).